using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC.PM;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PE
{
    [Description("安全标准化内部评价计划录入表")]
    public class T_PE_SAFETY_EVALUATION_PLAN : MesEntityBase
    {
        [Description("年度")]
        public string YEAR { get; set; }
        [Description("生产单元")]
        [DataFieldForeignKey("Nav_ProductionUnit")]
        public Guid? PRODUCTION_UNIT_ID { get; set; }

        [Description("生产单元")]
        public virtual T_PE_STANDARDIZED_SCORE_IMPORT Nav_ProductionUnit { get; set; }
        [Description("评价开始时间")]
        public DateTime? START_TIME { get; set; }
        [Description("评价结束时间")]
        public DateTime? END_TIME { get; set; }

        [Description("评价要素表")]
        [FormFieldEdit]
        public ICollection<T_PE_SAFETY_EVALUATION_PLAN_DETAIL> Nav_Details { get; set; }
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        [EnumName("PFStandardStatus")]
        public PFStandardStatus STATUS { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }

        [Description("是否跑批")]
        [EnumName("DisableStatusEnum")]
        public DisableStatusEnum IS_RUN { get; set; }

        [Description("发起部门ID")]
        public Guid? DEPARTMENT_ID { get; set; }
    }
}
